<?php

namespace WPFunnelsProGBF\Conditions;
use Wpfnl_Pro_GB_Functions;


class Highest_sold extends Wpfnl_Pro_GBF_Conditions {


    /**
     * Get product quantity from product object
     * 
     * @param Object $product
     * @return Number
     * 
     */
    public function get_value( $product = '' ){

        if( $product ){
           return $product->get_id();
        }
        return false;
    }

    /**
     * Compare condition
     * @param $value
     * @param $rule
     * @return bool|void
     */
    public function compare_to_rule( $value = '', $rule = [] ) {
       
        if( $value && $rule ){
            if( 'highest_sold' === $rule['param'] ){
                $highest_sold = Wpfnl_Pro_GB_Functions::get_highest_sold_product(1);
                if( is_array($highest_sold) && isset($highest_sold[0])){
                    if( $value == $highest_sold[0]->id ){
                        return true;
                    }
                }   
            }
        }
        return false;
    }


}