<?php
namespace WPFunnelsProGBF\Conditions\Offer;

/**
 * @author [Getwpfunnels Team]
 * @email [support@getwpfunnels.com]
 * @create date 2022-06-21 17:29:35
 * @modify date 2022-06-21 17:29:35
 * @desc [Get offer product when GBF condition on upsell and downsell is "Random product in category"]
 */

use WPFunnelsPro\Wpfnl_Pro_functions;
use Wpfnl_Pro_GB_Functions;

class RandomProduct extends Wpfnl_Pro_GBF_Conditions {

    /**
     * Get dynamic offer product for upsell or downsell
     * Offer product will be random product of a catefory
     * @param mixed $offer_mappings
     * @param mixed $order_id
     * @param mixed $step_id
     * @param mixed $gbf_product
     * 
     * @return array
     * 
     * @since 1.0.15
     */
    public function get_offer_product( $offer_mappings, $order_id, $step_id, $gbf_product ) {
        $offer_product = array();
        $show          = isset($offer_mappings['show']) ? $offer_mappings['show'] : null;
        $category      = isset($offer_mappings['category']) ? $offer_mappings['category'] : null;
        $quantity      = isset($offer_mappings['quantity']) ? $offer_mappings['quantity'] : null;
        $highest_sold  = Wpfnl_Pro_GB_Functions::get_random_product_in_category_for_offer( 1, $category );
        if( is_array($highest_sold) && isset($highest_sold['posts'][0]->ID)){
            $show = $highest_sold['posts'][0]->ID;  
        }else{
            return [];
        }
        $offer_product = Wpfnl_Pro_functions::get_offer_data( $step_id, $show, $quantity, $order_id );
        return $offer_product;
    }

}