
<div class="wpfnl">
    <div class="wpfnl-addons">
        <div class="wpfnl-dashboard">
            <nav class="wpfnl-dashboard__nav">
                <?php use WPFunnels\Wpfnl_functions;
                require_once WPFNL_DIR . '/admin/partials/dashboard-nav.php'; ?>
            </nav>

            <div class="dashboard-nav__content">
                <div class="addon-loader">
                    <div class="loader-inner">
                        <span class="wpfnl-loader"></span>
                    </div>
                </div>

                <div class="wpfnl-dashboard__header funnel-settings__header">
                    <div class="title">
                        <h2 class="addon-title">
                            <?php echo __('Enable WPFunnels Integration With Your Favourite Automation Tool Or CRM', 'wpfunnels-pro-integrations'); ?>
                        </h2>
                    </div>
                </div>

                <div class="addon-wrapper">
                    <div class="single-addon mailchimp">
                        <div class="addon-header">
                            <div class="logo">
                                <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/mailchimp-logo.php'; ?>
                            </div>

                            <div class="wpfnl-switcher sm">
                                <input id="mailchimp-active" name="mailchimp-active" class="mailchimp-active" type="checkbox" value=""/>
                                <label for="mailchimp-active"></label>
                            </div>

                        </div>

                        <div class="addon-body">
                            <div class="mailchimp-addon addon-authorize-form">
                                <p class="addon-body-title">
                                    <?php 
                                        $mailchimp_guide_link = 'https://getwpfunnels.com/docs/funnel-integrations/crm-integration/integrate-with-mailchimp/';

                                        echo sprintf('Please connect with your MailChimp account by providing the following credentials: <a href="%s" target="_blank" title="View Documentation">Guide <svg width="8" height="9" viewBox="0 0 8 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 7.5L7 1.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/><path d="M1 1.5H7V7.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/></svg> </a>', $mailchimp_guide_link); 
                                    ?>
                                </p>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('API key', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="mailchimp-apikey" name="mailchimp-apikey" type="text"/>
                                    <span class="hints mailchimp-hints mailchimp-hints-api" style="color:red">Field required</span>
                                </div>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('Server', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="mailchimp-server" name="mailchimp-server" type="text"/>
                                    <span class="hints mailchimp-hints mailchimp-hints-server" style="color:red">Field required</span>
                                </div>

                                <div class="form-group action-btn">
                                    <button class="btn-default mailchimp-auth">
                                        <span class="btn-text"><?php echo __('Authorize Now', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </button>
                                    <button class="btn-default mailchimp-reset">
                                        <span class="btn-text"><?php echo __('Reset', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </button>
                                    
                                    <span class="hints mailchimp-hints mailchimp-hints-auth" style="color:red">Please input valid credentials</span>
                                </div>

                            </div>

                            <div class="addon-banner">
                                <span class="logo">
                                    <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/mailchimp-favicon.php'; ?>
                                </span>
                                <p class="banner-title"><?php echo __('MailChimp is one of the best marketing, automation & email marketing platforms.', 'wpfunnels-pro-integrations'); ?></p>
                            </div>
                        </div>
                    </div>
                    <!-- /.single-addon -->

                    <div class="single-addon active-campaign">
                        <div class="addon-header">
                            <div class="logo">
                                <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/active-campaign-logo.php'; ?>
                            </div>

                            <div class="wpfnl-switcher sm">
                                <input id="active-campaign-active" class="active-campaign-active" name="active-campaign-active" type="checkbox" value=""/>
                                <label for="active-campaign-active"></label>
                            </div>

                        </div>

                        <div class="addon-body">
                            <div class="active-campaign-addon addon-authorize-form">
                                <p class="addon-body-title">
                                    <?php 
                                        $active_campaign_guide_link = 'https://getwpfunnels.com/docs/funnel-integrations/crm-integration/integrate-with-activecampaign/';

                                        echo sprintf('Please connect with your ActiveCampaign account by providing the following credentials: <a href="%s" target="_blank" title="View Documentation">Guide <svg width="8" height="9" viewBox="0 0 8 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 7.5L7 1.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/><path d="M1 1.5H7V7.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/></svg> </a>', $active_campaign_guide_link); 
                                    ?>
                                </p>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('Base URL', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="active-campaign-url" name="active-campaign-url" type="text">
                                    <span class="hints active-campaign-hints active-campaign-hints-url" style="color:red">Field required</span>
                                </div>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('API Token', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="active-campaign-api" name="active-campaign-api" type="text">
                                    <span class="hints active-campaign-hints active-campaign-hints-api" style="color:red">Field required</span>
                                </div>

                                <div class="form-group action-btn">
                                    <button class="btn-default active-campaign-auth">
                                        <span class="btn-text"><?php echo __('Authorize Now', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </button>
                                    <button class="btn-default active-campaign-reset">
                                        <span class="btn-text"><?php echo __('Reset', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </button>
                                        
                                    <span class="hints active-campaign-hints active-campaign-hints-auth" style="color:red">Please input valid credentials</span>
                                </div>

                            </div>

                            <div class="addon-banner">
                                <span class="logo">
                                    <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/active-campaign-favicon.php'; ?>
                                </span>
                                <p class="banner-title"><?php echo __('ActiveCampaign - reliable platform with email marketing, automation, and CRM for enhanced customer experience.', 'wpfunnels-pro-integrations'); ?></p>
                            </div>
                        </div>
                    </div>
                    <!-- /.single-addon -->

                    <div class="single-addon mailpoet">
                        <div class="addon-header">
                            <div class="logo">
                                <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/mailpoet-logo.php'; ?>
                            </div>

                            <div class="wpfnl-switcher sm">
                                <input id="mailpoet-active" class="mailpoet-active" name="mailpoet-active" type="checkbox" value=""/>
                                <label for="mailpoet-active"></label>
                            </div>

                        </div>

                        <div class="addon-body">
                            <div class="mailpoet-addon addon-authorize-form">
                                <p class="addon-body-title">
                                    <?php 
                                        $mailpoet_guide_link = 'https://getwpfunnels.com/docs/funnel-integrations/crm-integration/integrate-with-mailpoet/';

                                        echo sprintf('Integration successful! You can now send data to MailPoet based on user events in your funnels. <a href="%s" target="_blank" title="View Documentation">Guide <svg width="8" height="9" viewBox="0 0 8 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 7.5L7 1.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/><path d="M1 1.5H7V7.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/></svg> </a>', $mailpoet_guide_link); 
                                    ?>
                                </p>
                                

                            </div>

                            <div class="addon-banner">
                                <span class="logo">
                                    <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/mailpoet-favicon.php'; ?>
                                </span>
                                <p class="banner-title"><?php echo __("MailPoet helps to manage your subscriber's list, run email campaigns, and set up automation easily in WordPress.", 'wpfunnels-pro-integrations'); ?></p>
                            </div>
                        </div>
                    </div>
                    <!-- /.single-addon -->


                    <div class="single-addon constant-contact">
                        <div class="addon-header">
                            <div class="logo">
                                <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/constant-contact-logo.php'; ?>
                            </div>

                            <div class="wpfnl-switcher sm">
                                <input id="constant-contact-active" class="constant-contact-active" name="constant-contact-active" type="checkbox" value=""/>
                                <label for="constant-contact-active"></label>
                            </div>

                        </div>

                        <div class="addon-body">
                            <div class="constant-contact-addon addon-authorize-form">
                                <p class="addon-body-title">
                                    <?php 
                                        $constant_guide_link = 'https://getwpfunnels.com/docs/funnel-integrations/crm-integration/integrate-with-constantcontact/';

                                        echo sprintf('Please connect with your Constant Contact account by providing the following credentials: <a href="%s" target="_blank" title="View Documentation">Guide <svg width="8" height="9" viewBox="0 0 8 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 7.5L7 1.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/><path d="M1 1.5H7V7.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/></svg> </a>', $constant_guide_link); 
                                    ?>
                                </p>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('Redirect URL', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="constant-contact-url" name="constant-contact-url" type="text">
                                    <span class="hints constant-contact-hints constant-contact-hints-url" style="color:red">Field required</span>
                                </div>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('API Key', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="constant-contact-api" name="constant-contact-api" type="text">
                                    <span class="hints constant-contact-hints constant-contact-hints-api" style="color:red">Field required</span>
                                </div>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('API Secret', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="constant-contact-secret" name="constant-contact-secret" type="text">
                                    <span class="hints constant-contact-hints constant-contact-hints-secret" style="color:red">Field required</span>
                                </div>

                                <div class="form-group action-btn">
                                    <a class="btn-default constant-contact-auth" href="#">
                                        <span class="btn-text"><?php echo __('Authorize Now', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <a class="btn-default constant-contact-reset" href="#">
                                        <span class="btn-text"><?php echo __('Reset', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <span class="hints constant-contact-hints constant-contact-hints-auth" style="color:red">Please input valid credentials</span>
                                </div>

                            </div>

                            <div class="addon-banner">
                                <span class="logo">
                                    <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/constant-contact-favicon.php'; ?>
                                </span>
                                <p class="banner-title"><?php echo __('Constant Contact is one of the most renowned email marketing tools with a super easy UI.', 'wpfunnels-pro-integrations'); ?></p>
                            </div>
                        </div>
                    </div>

                    <div class="single-addon aweber">
                        <div class="addon-header">
                            <div class="logo">
                                <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/aweber-logo.php'; ?>
                            </div>

                            <div class="wpfnl-switcher sm">
                                <input id="aweber-active" class="aweber-active" name="aweber-active" type="checkbox" value=""/>
                                <label for="aweber-active"></label>
                            </div>

                        </div>

                        <div class="addon-body">
                            <div class="aweber-addon addon-authorize-form">
                                <p class="addon-body-title">
                                    <?php 
                                        $aweber_guide_link = 'https://getwpfunnels.com/docs/funnel-integrations/crm-integration/integrate-with-aweber/';

                                        echo sprintf('Please connect with your AWeber account by providing the following credentials: <a href="%s" target="_blank" title="View Documentation">Guide <svg width="8" height="9" viewBox="0 0 8 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 7.5L7 1.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/><path d="M1 1.5H7V7.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/></svg> </a>', $aweber_guide_link); 
                                    ?>
                                </p>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('Redirect URL', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="aweber-url" name="aweber-url" type="text">
                                    <span class="hints aweber-hints aweber-hints-url" style="color:red">Field required</span>
                                </div>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('API Key', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="aweber-api" name="aweber-api" type="text">
                                    <span class="hints aweber-hints aweber-hints-api" style="color:red">Field required</span>
                                </div>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('API Secret', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="aweber-secret" name="aweber-secret" type="text">
                                    <span class="hints aweber-hints aweber-hints-secret" style="color:red">Field required</span>
                                </div>

                                <div class="form-group action-btn">
                                    <a class="btn-default aweber-auth" href="#">
                                        <span class="btn-text"><?php echo __('Authorize Now', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <a class="btn-default aweber-reset" href="#">
                                        <span class="btn-text"><?php echo __('Reset', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <span class="hints aweber-hints aweber-hints-auth" style="color:red">Please input valid credentials</span>
                                </div>

                            </div>

                            <div class="addon-banner">
                                <span class="logo">
                                    <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/aweber-favicon.php'; ?>
                                </span>
                                <p class="banner-title"><?php echo __('Aweber is a prominent email marketing tool that allows you to collect leads and run automated email campaigns & sequences easily.', 'wpfunnels-pro-integrations'); ?></p>
                            </div>
                        </div>
                    </div>

                    <div class="single-addon sendinblue">
                        <div class="addon-header">
                            <div class="logo">
                                <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/sendinblue-logo.php'; ?>
                            </div>

                            <div class="wpfnl-switcher sm">
                                <input id="sendinblue-active" class="sendinblue-active" name="sendinblue-active" type="checkbox" value=""/>
                                <label for="sendinblue-active"></label>
                            </div>

                        </div>

                        <div class="addon-body">
                            <div class="sendinblue-addon addon-authorize-form">
                                <p class="addon-body-title">
                                    <?php echo __('', 'wpfunnels-pro-integrations'); ?>
                                    <?php 
                                        $sendinblue_guide_link = 'https://getwpfunnels.com/docs/funnel-integrations/crm-integration/integrate-with-sendinblue/';

                                        echo sprintf('Please connect with your Sendinblue account by providing the following credentials: <a href="%s" target="_blank" title="View Documentation">Guide <svg width="8" height="9" viewBox="0 0 8 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 7.5L7 1.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/><path d="M1 1.5H7V7.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/></svg> </a>', $sendinblue_guide_link); 
                                    ?>
                                </p>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('API Key', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="sendinblue-api" name="sendinblue-api" type="text">
                                    <span class="hints sendinblue-hints sendinblue-hints-api" style="color:red">Field required</span>
                                </div>

                                <div class="form-group action-btn">
                                    <a class="btn-default sendinblue-auth" href="#">
                                        <span class="btn-text"><?php echo __('Authorize Now', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <a class="btn-default sendinblue-reset" href="#">
                                        <span class="btn-text"><?php echo __('Reset', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <span class="hints sendinblue-hints sendinblue-hints-auth" style="color:red">Please input valid credentials</span>
                                </div>

                            </div>

                            <div class="addon-banner">
                                <span class="logo">
                                    <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/sendinblue-favicon.php'; ?>
                                </span>
                                <p class="banner-title"><?php echo __('Sendinblue is an all-in-one platform to run B2B and B2C email campaigns for digital marketing and marketing automation.', 'wpfunnels-pro-integrations'); ?></p>
                            </div>
                        </div>
                    </div>

                    <div class="single-addon mailerlite">
                        <div class="addon-header">
                            <div class="logo">
                                <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/mailerlite-logo.php'; ?>
                            </div>

                            <div class="wpfnl-switcher sm">
                                <input id="mailerlite-active" class="mailerlite-active" name="mailerlite-active" type="checkbox" value=""/>
                                <label for="mailerlite-active"></label>
                            </div>

                        </div>

                        <div class="addon-body">
                            <div class="mailerlite-addon addon-authorize-form">
                                <p class="addon-body-title">
                                    <?php echo __('', 'wpfunnels-pro-integrations'); ?>
                                    <?php 
                                        $mailerlite_guide_link = 'https://getwpfunnels.com/docs/funnel-integrations/crm-integration/integrate-with-mailerlite/';

                                        echo sprintf('Please connect with your MailerLite account by providing the following credentials: <a href="%s" target="_blank" title="View Documentation">Guide <svg width="8" height="9" viewBox="0 0 8 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 7.5L7 1.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/><path d="M1 1.5H7V7.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/></svg> </a>', $mailerlite_guide_link); 
                                    ?>
                                </p>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('API Key', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="mailerlite-api" name="mailerlite-api" type="text">
                                    <span class="hints mailerlite-hints mailerlite-hints-api" style="color:red">Field required</span>
                                </div>

                                <div class="form-group action-btn">
                                    <a class="btn-default mailerlite-auth" href="#">
                                        <span class="btn-text"><?php echo __('Authorize Now', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <a class="btn-default mailerlite-reset" href="#">
                                        <span class="btn-text"><?php echo __('Reset', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <span class="hints mailerlite-hints mailerlite-hints-auth" style="color:red">Please input valid credentials</span>
                                </div>

                            </div>

                            <div class="addon-banner">
                                <span class="logo">
                                    <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/mailerlite-favicon.php'; ?>
                                </span>
                                <p class="banner-title"><?php echo __('MailerLite is an email marketing software designed to help people of all skill levels create successful marketing campaigns.', 'wpfunnels-pro-integrations'); ?></p>
                            </div>
                        </div>
                    </div>
                    
                    <div class="single-addon getresponse">
                        <div class="addon-header">
                            <div class="logo">
                                <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/getresponse-logo.php'; ?>
                            </div>

                            <div class="wpfnl-switcher sm">
                                <input id="getresponse-active" class="getresponse-active" name="getresponse-active" type="checkbox" value=""/>
                                <label for="getresponse-active"></label>
                            </div>

                        </div>

                        <div class="addon-body">
                            <div class="getresponse-addon addon-authorize-form">
                                <p class="addon-body-title">
                                    <?php 
                                        $getresponse_guide_link = 'https://getwpfunnels.com/docs/funnel-integrations/crm-integration/integrate-with-getresponse/';

                                        echo sprintf('Please connect with your GetResponse account by providing the following credentials: <a href="%s" target="_blank" title="View Documentation">Guide <svg width="8" height="9" viewBox="0 0 8 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 7.5L7 1.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/><path d="M1 1.5H7V7.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/></svg> </a>', $getresponse_guide_link); 
                                    ?>
                                </p>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('API Key', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="getresponse-api" name="getresponse-api" type="text">
                                    <span class="hints getresponse-hints getresponse-hints-api" style="color:red">Field required</span>
                                </div>

                                <div class="form-group action-btn">
                                    <a class="btn-default getresponse-auth" href="#">
                                        <span class="btn-text"><?php echo __('Authorize Now', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <a class="btn-default getresponse-reset" href="#">
                                        <span class="btn-text"><?php echo __('Reset', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <span class="hints getresponse-hints getresponse-hints-auth" style="color:red">Please input valid credentials</span>
                                </div>

                            </div>

                            <div class="addon-banner">
                                <span class="logo">
                                    <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/getresponse-favicon.php'; ?>
                                </span>
                                <p class="banner-title"><?php echo __('GetRespnse is an all-in-one marketing platform that comes with powerful email marketing features, CRM, and advanced automations.', 'wpfunnels-pro-integrations'); ?></p>
                            </div>
                        </div>
                    </div>

                    <div class="single-addon encharge">
                        <div class="addon-header">
                            <div class="logo">
                                <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/encharge-logo.php'; ?>
                            </div>

                            <div class="wpfnl-switcher sm">
                                <input id="encharge-active" class="encharge-active" name="encharge-active" type="checkbox" value=""/>
                                <label for="encharge-active"></label>
                            </div>

                        </div>

                        <div class="addon-body">
                            <div class="encharge-addon addon-authorize-form">
                                <p class="addon-body-title">
                                    <?php 
                                        $encharge_guide_link = 'https://getwpfunnels.com/docs/funnel-integrations/crm-integration/integrate-with-encharge/';
                                        echo sprintf('Please connect with your Encharge account by providing the following credentials: <a href="%s" target="_blank" title="View Documentation">Guide <svg width="8" height="9" viewBox="0 0 8 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 7.5L7 1.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/><path d="M1 1.5H7V7.5" stroke="#7742E6" stroke-width="1.3" stroke-linecap="round" stroke-linejoin="round"/></svg> </a>', $encharge_guide_link); 
                                    ?>
                                </p>

                                <div class="form-group">
                                    <label>
                                        <?php echo __('API Key', 'wpfunnels-pro-integrations'); ?>
                                    </label>
                                    <input class="encharge-api" name="encharge-api" type="text">
                                    <span class="hints encharge-hints encharge-hints-api" style="color:red">Field required</span>
                                </div>

                                

                                <div class="form-group action-btn">
                                    <a class="btn-default encharge-auth" href="#">
                                        <span class="btn-text"><?php echo __('Authorize Now', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <a class="btn-default encharge-reset" href="#">
                                        <span class="btn-text"><?php echo __('Reset', 'wpfunnels-pro-integrations'); ?></span>
                                        <span class="wpfnl-loader"></span>
                                    </a>
                                    <span class="hints encharge-hints encharge-hints-auth" style="color:red">Please input valid credentials</span>
                                </div>

                            </div>

                            <div class="addon-banner">
                                <span class="logo">
                                    <?php include WPFNL_PRO_INTEGRATIONS_DIR . '/admin/assets/images/svg/encharge-favicon.php'; ?>
                                </span>
                                <p class="banner-title"><?php echo __('Encharge is an advanced automation tool focused on visually creating and running behaviour-based email campaigns easily.', 'wpfunnels-pro-integrations'); ?></p>
                            </div>
                        </div>
                    </div>

                    <?php do_action( 'wpfunnels/after_integration_forms' ) ?>

                </div>
            </div>

        </div>
    </div>
</div>
